This module contains code for State Parameters.

See ParamDeclaration

## Index

### Enumerations

- DefType

### Classes

- Param
- ParamType
- ParamTypes
- StateParams

### Interfaces

- ParamDeclaration
- ParamTypeDefinition
- RawParams
- Replace

### Functions

- ArrayType
- getReplace
- getSquashPolicy

## Functions

- ArrayType(type: ParamType, mode: true | false | "auto"): void

- Wraps up a `ParamType` object to handle array values.

- Wraps up a `ParamType` object to handle array values.

  #### Parameters

  - ##### type ParamType

  - ##### mode true | false | "auto"

  #### Returns void

  - Defined in params/paramType.ts:102

- getReplace(config: ParamDeclaration, arrayMode: boolean, isOptional: boolean, squash: string | true | false): object[]

- #### Parameters

  - ##### config ParamDeclaration

  - ##### arrayMode boolean

  - ##### isOptional boolean

  - ##### squash string | true | false

  #### Returns object[]

  - Defined in params/param.ts:69

- getSquashPolicy(config: ParamDeclaration, isOptional: boolean, defaultPolicy: string | true | false): string | true | false

- #### Parameters

  - ##### config ParamDeclaration

  - ##### isOptional boolean

  - ##### defaultPolicy string | true | false

  #### Returns string | true | false

  - Defined in params/param.ts:60

Generated using TypeDoc